Skip to main content
PUT
/
api2
/
v1
/
buyers
/
{buyerUid}
Edit buyer
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/buyers/{buyerUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "uid": "<string>",
  "defaultProjectOwner": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "vendorOrganization": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

buyerUid
string
required

Body

application/json
defaultProjectOwner
object

Response

successful operation

uid
string
defaultProjectOwner
object
vendorOrganization
object